import 'package:betting/commom/utils/textstyle.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class ItemLineUp extends StatelessWidget {
  const ItemLineUp({Key? key, this.shirtNumber, required this.namePlayers})
      : super(key: key);
  final int? shirtNumber;
  final String namePlayers;

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        Stack(
          children: [
            Container(
              margin: const EdgeInsets.all(8),
              decoration: BoxDecoration(borderRadius: BorderRadius.circular(50), color: Colors.black),
              alignment: Alignment.center,
              width: 32.sp,
              height: 32.sp,
              child: Text(
                shirtNumber.toString(),
                style: TextStyle(color: Colors.white, fontSize: 10.sp),
              ),
            ),
            Positioned(
              top: 0,
              left: 0,
              child: Icon(
                Icons.sports_soccer_rounded,
                size: 16.sp,
                color: Colors.white,
              ),
            ),
            Positioned(
              top: 2,
              right: 3,
              child: Container(
                width: 9.sp,
                height: 12.sp,
                decoration: BoxDecoration(
                  color: Colors.yellow,
                  borderRadius: BorderRadius.circular(2),
                ),
              ),
            ),
            Positioned(
              bottom: 0,
              right: 0,
              child: Icon(
                Icons.arrow_circle_down_rounded,
                size: 16.sp,
                color: Colors.red,
              ),
            ),
          ],
        ),
        const SizedBox(
          height: 3,
        ),
        Text(
          namePlayers,
          style: TextStyle(
              color: Colors.white,
              fontSize: 9.sp,
              fontWeight: FontWeight.bold),
          softWrap: true,
          maxLines: 2,
        textAlign: TextAlign.center,),
      ],
    );
  }
}
